.component-section:has(.news-list) {
  padding-top: 4rem;
}
@media screen and (max-width: 768px) {
  .component-section:has(.news-list) {
    padding-top: 2rem;
  }
}

.news-list {
  overflow: hidden;
  position: relative;
  max-height: 50rem;
}
.news-list::after {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 19rem;
  background: linear-gradient(to top, white, rgba(255, 255, 255, 0));
  transition: opacity 0.4s cubic-bezier(0.39, 0.575, 0.565, 1);
  pointer-events: none;
}
.news-list.is-show {
  max-height: none;
}
.news-list.is-show::after {
  opacity: 0;
}
.news-list__inner {
  position: relative;
  display: flex;
  flex-direction: column;
}
.news-list__item:not(:has(> a)), .news-list__item > a {
  display: flex;
  align-items: center;
  gap: 2rem;
  padding: 1rem;
  text-decoration: none;
}
@media screen and (max-width: 768px) {
  .news-list__item:not(:has(> a)), .news-list__item > a {
    flex-wrap: wrap;
    gap: 0.5rem 1rem;
    padding: 0.8rem;
  }
}
.news-list__item {
  border-bottom: 1px solid #d9d9d9;
}
.news-list__item > a {
  position: relative;
  padding-right: 3.1rem;
  transition: background-color 0.2s cubic-bezier(0.39, 0.575, 0.565, 1);
}
.news-list__item > a::after {
  content: "";
  display: block;
  position: absolute;
  top: calc(50% - 0.55rem);
  right: 1rem;
  width: 1.1rem;
  height: 1.1rem;
  background: url("/recruit/career/assets/img/common/arw_button.svg") no-repeat center/contain;
}
@media (hover: hover) {
  .news-list__item > a:hover {
    background: #eff9ff;
  }
  .news-list__item > a:hover::after {
    animation: arrow_button 0.6s cubic-bezier(0.39, 0.575, 0.565, 1) 1;
  }
}
@media (hover: none) {
  .news-list__item > a:active {
    background: #eff9ff;
  }
  .news-list__item > a:active::after {
    animation: arrow_button 0.6s cubic-bezier(0.39, 0.575, 0.565, 1) 1;
  }
}
.news-list__date {
  flex-shrink: 0;
  color: #004a98;
  font-family: "Nuosu SIL", serif;
  font-size: 1.5rem;
  white-space: nowrap;
}
@media screen and (max-width: 768px) {
  .news-list__date {
    font-size: 1.3rem;
  }
}
.news-list__category {
  flex-shrink: 0;
  display: flex;
  width: 11.2rem;
  color: #004a98;
  font-size: 1.2rem;
  font-weight: 700;
  letter-spacing: -0.06em;
  white-space: nowrap;
}
@media screen and (max-width: 768px) {
  .news-list__category {
    width: auto;
    font-size: 1.1rem;
  }
}
.news-list__category span {
  display: flex;
  align-items: center;
  height: 1.9rem;
  border-radius: 0.95rem;
  background: #f1f1f1;
  padding: 0rem 1rem 0.1rem 1rem;
}
@media screen and (max-width: 768px) {
  .news-list__category span {
    height: 1.8rem;
    border-radius: 0.9rem;
    padding: 0rem 0.8rem;
  }
}
.news-list__text {
  font-size: 1.4rem;
  line-height: 1.4;
}
@media screen and (max-width: 768px) {
  .news-list__text {
    width: 100%;
    font-size: 1.2rem;
  }
}
.news-list__more {
  position: absolute;
  z-index: 10;
  bottom: 0;
  left: 0;
  display: flex;
  justify-content: center;
  width: 100%;
}
